atmaxplorer.com
Play games that require OFW 5.50 with version.txt hack
A number PSP game releases require owners to update their PSP to the latest version of the firmware, 5.50. If you have custom firmware, that would mean upgrading to 5.50 GEN-A (and 5.50 GEN-B). If …